Subject: some meeting notes - action items

From: Curtis Villamizar <[email-masked]>
Date: Tue, 08 Sep 1998 13:02:04 -0400

Below are my personal meeting notes.  This has nothing to do with the
meeting minutes and these notes are in no way comlete.  I'm just
trying to make sure we don't miss action items that came up in the
meeting.

Cengiz and I went to the openpgp meeting.  I'm not sure if openpgp or
s/mime are the best encapsulation for the registry signatures.  We
should note that openpgp seems to be strongly encouraging (requiring?)
DSS/Diffie-Hellman keys with secondary key types, El Gamal and RSA,
being optional.  The rps-dist should reference the openpgp draft (soon
to be RFC) unless we decide to opt for smime.  Comments?

Note that cert references a maintainer and the same maintainer
references a cert and the two are strongly interdependent.  In
rps-auth, when the cert object is mentioned (and Joao's draft
referenced), the need to keep the maintainer and cert objects in the
same repository should be mentioned.  This is one of those rare
"cyclic dependencies" that we want to avoid across databases to avoid
inconsistencies due to the very loose synchronization we have allowed
in rps-dist.

The request for a more formal grammar in RPSL should not be lost.

We may still have an open issue wrt what to do with the MIB draft.

We did not take any measure of consensus at the WG meeting on whether
we should some of the text in rps-auth and rps-dist should be moved to
an architecture draft and somewhat greater detail provided, leaving
such things as encapsualtion details to rps-auth and rps-dist.  It was
also suggested by ARIN that the sections (mostly appendices) on
implementation, deployment, and transition might be better off in a
separate transition document, but I'd rather keep that in an
architecture draft unless we find ourselves in agreement on the
architecture but having ongoing discussion about implementation,
deployment, and transition.  Comments?

Curtis

Unedited notes below:

Cengiz intro and agenda bashing

welcome new wg chair (that's me)

ann 			arin announcement will be opening a rr jan
			1999, not sure what software we'll run 
villamizar		dist rps
jerry scharf		dnssec, crypto export issues, jon gilmore and
			tis have worked out details, not a tutorial on
			crypto, talking about export only
				40 bit des export allowed
				56 bit
				triple des
				idea 128 bit patent
				safer (newer)
				strength in timme to break
					56 bit des 2+ days
					40 bit des takes seconds
					40 bit des idea safer still harder
				rsa 512-2560 patent
				el gamal pgp 5.x
				eliptic curve ? strong may be slow
					some patent, some not
			shared secret signing
				md5, sha-1, hmac-md5, hmac-sha
				all unencumbered
			public key signing
				generate message hash
				encrypt/permutate hash
				md5/rsa (need good random number with keys)
				dss govt alternative to rsa
					signing only
					need real good random at each signing
				md5/el gamal
					no current major use
			exporting munitions is a felony (law)
			strong encryption is a munition (policy)
			department of commerce handles request
				do not expect repeatability
			fine points
				ok to ship encrytpion for some uses
				questions about key encryption
				watch for exposed library stubs
			stripped signing library for rsa
				exported since december
				only covers dnssec
			stripped signing library for dss
				from cylink
				covers any ietf use
				no export tests
					supposed to be easy ?
joao damas		cert object and pgp experience
			ripe ncc
			data is protected by maitainer object
			none, mail-from, crytppw, merit's pgp-from
			key-cert object
  (auth) ---->		key-cert and maintainer must be in same source
			pgpkey-hhhhhhhh
			also put in local key ring (at registry)
			must sign future updates
			jake khuon - comment - sign initial
			key-cert must be signed by a key in the database?
cengiz			implementation/deployment status and feedback
			comunity attribute - mark prior request
			ratoolset 4.1.0 - released last week
			close to 100% complient
			ad wants formal grammar rules in rpsl
winters			rawhoisd -> irrd
			8/1/98 irrd -> public domain - rpsl capable
prior (via davidk)	community set
kessens			transition
			we are in phase 2
mansfield		irr mib
			www.cusol.com/IPAMaps? [URL is wrong]
tony p			rpcl